: Interface ResourceHelperInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Interface ResourceHelperInterface

All Known Implementing Classes:
  ResourceHelper

public interface ResourceHelperInterface

Method Summary
`void` | `addResourceListener(ResourceListener el)` Add a Listener to this helper.
`void` | `clearChanged()` set the current resource to be the original resource (ie: the hasChanged() method must return false now.
`void` | `commitChanges()` commit the changes (if any)
`RemoteResource` | `getValue()` get the Resource edited with this helper
`boolean` | `hasChanged()` tells if the edited resource in the helper has changed
`void` | `initialize(RemoteResourceWrapper rw, java.util.Properties p)` initialize the helper
`void` | `removeResourceListener(ResourceListener el)` Remove the listener from this helper.
`void` | `resetChanges()` undo the not-yet-commited changes

Method Detail

### hasChanged

    public boolean hasChanged()

  tells if the edited resource in the helper has changed
  Returns:
    true if the values changed. to get more informations about what has changed, you can use the three methods below.

### clearChanged

    public void clearChanged()

  set the current resource to be the original resource (ie: the hasChanged() method must return false now. to do a "fine tuned" reset, use one of the three following method.

### getValue

    public RemoteResource getValue()

  get the Resource edited with this helper
  Returns:
    a RemoteResource

### addResourceListener

    public void addResourceListener(ResourceListener el)

  Add a Listener to this helper.
  Parameters:
    `el` - a listener

### removeResourceListener

    public void removeResourceListener(ResourceListener el)

  Remove the listener from this helper.
  Parameters:
    `el` - the listener to be removed.

### commitChanges

    public void commitChanges()
                       throws RemoteAccessException

  commit the changes (if any)
  Throws:
    RemoteAccessException - if a remote access error occurs.

### resetChanges

    public void resetChanges()

  undo the not-yet-commited changes

### initialize

    public void initialize(RemoteResourceWrapper rw,
                           java.util.Properties p)
                    throws RemoteAccessException

  initialize the helper
  Parameters:
    `r` - the ResourceWrapper containing the Resource edited with this helper
    `p` - some Properties, used to fine-tune the helper
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD